%define api	1.0
%define major	0
%define oname	gst-rtsp-server

%define libname %mklibname gstrtspserver %{api} %{major}
%define girname %mklibname gstrtspserver-gir %{api}
%define develname %mklibname -d gstrtspserver

Summary:	RTSP server library for the GStreamer framework
Name:		gstreamer1.0-rtsp-server
Version:	1.10.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gstreamer.freedesktop.org/
Source0:  	http://gstreamer.freedesktop.org/src/%{oname}/%{oname}-%{version}.tar.xz
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)

%description
RTSP server based on GStreamer.

%package -n %{libname}
Summary:	RTSP server library for the GStreamer framework
Group:		System/Libraries

%description -n %{libname}
RTSP server based on GStreamer1.0.

%package -n %{develname}
Summary:	RTSP server library for the GStreamer framework
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Provides:	libgstrtspserver-devel = %{version}-%{release}

%description -n %{develname}
RTSP server based on GStreamer1.0.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}gstrtspserver1.0_0 < 1.8.0

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n gstreamer%{api}-rtspclientsink
Summary:	rtspclientsink plugin for gstreamer%{api}
Group:		Networking/Other

%description -n gstreamer%{api}-rtspclientsink
rtspclientsink is an element that uses RECORD to send streams to an
RTSP server.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://www.%{_real_vendor}.org/' \
	--disable-static \
	--enable-maintainer-mode
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n gstreamer%{api}-rtspclientsink
%{_libdir}/gstreamer-1.0/libgstrtspclientsink.so

%files -n %{libname}
%doc README AUTHORS docs/libs/html
%{_libdir}/libgstrtspserver-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GstRtspServer-%{api}.typelib

%files -n %{develname}
%{_libdir}/libgstrtspserver-%{api}.so
%{_libdir}/pkgconfig/gstreamer-rtsp-server-%{api}.pc
%{_includedir}/gstreamer-%{api}/gst/rtsp-server
%{_datadir}/gir-1.0/GstRtspServer-%{api}.gir


%changelog
* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085497
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081801
- new version 1.10.2

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047099
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021005
- 1.8.2

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995267
- new version 1.8.0
- split out GI typelib from library pkg
- add pkg origin information

* Sun Mar 20 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 993063
- new version 1.7.91
- new plugin gstreamer1.0-rtspclientsink

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 918921
- 1.6.2
- rename to gstreamer1.0-rtsp-server in line with our naming convention

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-2.mga5
+ Revision: 740418
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 1.4.3-1.mga5
+ Revision: 733838
- new version 1.4.3
- switch to gstreamer1.0
- drop python and vala bindigs

* Sat Sep 27 2014 tv <tv> 0.10.8-7.mga5
+ Revision: 726450
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 0.10.8-6.mga5
+ Revision: 724897
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.10.8-5.mga5
+ Revision: 679967
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.8-4.mga4
+ Revision: 505303
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.8-3.mga3
+ Revision: 352705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.10.8-2.mga3
+ Revision: 339092
- patch2: fix build with automake 1.13

* Wed Oct 03 2012 ovitters <ovitters> 0.10.8-1.mga3
+ Revision: 302671
- don't package .la files
- use mkrel macro
- Import from Mandriva

